#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  GMime-3.2.7

- Next

  Gsl-2.7.1

- Up
- Home

# gobject-introspection-1.70.0

## Introduction to GObject Introspection

The GObject Introspection is used to describe the program APIs and collect them in a uniform, machine readable format.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gobject-introspection/1.70/gobject-introspection-1.70.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/gobject-introspection/1.70/gobject-introspection-1.70.0.tar.xz

- Download MD5 sum: 940ea2d6b92efabc457b9c54ce2ff398

- Download size: 1.0 MB

- Estimated disk space required: 55 MB (with tests)

- Estimated build time: 0.2 SBU (With tests; both using parallelism=4)

### Additional Downloads

- Required patch for building with meson version 0.61+: https://www.linuxfromscratch.org/patches/blfs/11.1/gobject-introspection-1.70.0-build_fix-1.patch

### GObject Introspection Dependencies

#### Required

GLib-2.70.4

#### Optional

Cairo-1.17.4 (required for the tests), Gjs-1.70.1 (to satisfy one test), GTK-Doc-1.33.2, Mako-1.1.6, and Markdown (to satisfy one test)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gobject-introspection

## Installation of GObject Introspection

First apply a patch that allows building with meson version 0.61 or above:

    patch -Np1 -i ../gobject-introspection-1.70.0-build_fix-1.patch

Install GObject Introspection by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test. If Mako-1.1.6 is installed but the Python 3 module named Markdown (not in BLFS) is not, one test named test_docwriter.py will fail.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgtk_doc=true`: Build and install the documentation.

`-Dcairo=enabled`: Use cairo for tests.

`-Ddoctool=enabled`: Install g-ir-doc-tool and run related tests.

## Contents

Installed Program: g-ir-annotation-tool, g-ir-compiler, g-ir-doc-tool, g-ir-generate, g-ir-inspect, and g-ir-scanner
Installed Libraries: libgirepository-1.0.so and _giscanner.cpython-310-<arch>-linux-gnu.so
Installed Directories: /usr/include/gobject-introspection-1.0, /usr/lib/girepository-1.0, /usr/lib/gobject-introspection, /usr/share/gir-1.0, and /usr/share/gobject-introspection-1.0

### Short Descriptions

g-ir-annotation-tool | creates or extracts annotation data from GI typelibs
g-ir-compiler | converts one or more GIR files into one or more typelib
g-ir-doc-tool | generates Mallard files that can be viewed with yelp or rendered to HTML with yelp-build from yelp-tools
g-ir-inspect | is a utility that gives information about a GI typelib
g-ir-generate | is a GIR generator that uses the repository API
g-ir-scanner | is a tool which generates GIR XML files by parsing headers and introspecting GObject based libraries
`libgirepository-1.0.so` | provides an API to access the typelib metadata

Last updated on

- Prev

  GMime-3.2.7

- Next

  Gsl-2.7.1

- Up
- Home